start: S
productions:
    - (S )
    - (S.N 'a' (S.N (S 'b' (S.N *S.N 'c')) 'd'))
notes:
    - the original aux tree, (S.N a (S b (*S.N) c) d), is trinary branching, and won't work w/out modifications to the CYK algorithm.
    - there was something else. i forget.